http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/php4/php4-openssl.patch?rev=1.1;content-type=text%2Fplain
--- php-4.4.9/ext/openssl/openssl.c.org	2010-04-11 08:09:20.114283832 +0200
+++ php-4.4.9/ext/openssl/openssl.c	2010-04-11 08:08:40.851370731 +0200
@@ -179,8 +179,13 @@
 static char default_ssl_conf_filename[MAXPATHLEN];
 
 struct php_x509_request {
+#if OPENSSL_VERSION_NUMBER >= 0x10000002L                                                                                                                    
+	LHASH_OF(CONF_VALUE) * global_config;   /* Global SSL config */                                                                                          
+	LHASH_OF(CONF_VALUE) * req_config;      /* SSL config for this request */
+#else
 	LHASH * global_config;	/* Global SSL config */
 	LHASH * req_config;		/* SSL config for this request */
+#endif
 	const EVP_MD * md_alg;
 	const EVP_MD * digest;
 	char	* section_name,
@@ -340,7 +345,12 @@
 		const char * section_label,
 		const char * config_filename,
 		const char * section,
-		LHASH * config TSRMLS_DC)
+#if OPENSSL_VERSION_NUMBER >= 0x10000002L
+		LHASH_OF(CONF_VALUE) * config TSRMLS_DC
+#else
+		LHASH * config TSRMLS_DC
+#endif
+		)
 {
 	X509V3_CTX ctx;
 	
